> ## Documentation Index
> Fetch the complete documentation index at: https://api-reference.hyperswitch.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch eliminated processor list

> Determines which processors should be eliminated from routing consideration based on historical performance data.



## OpenAPI

````yaml post /elimination.EliminationAnalyser/GetEliminationStatus
openapi: 3.0.0
info:
  title: Dynamic routing - OpenAPI 3.0
  description: This the the open API 3.0 specification for the dynamic routing.
  version: 1.0.0
servers: []
security: []
paths:
  /elimination.EliminationAnalyser/GetEliminationStatus:
    post:
      tags:
        - Elimination
      summary: Fetch eliminated processor list
      description: >-
        Determines which processors should be eliminated from routing
        consideration based on historical performance data.
      operationId: GetEliminationStatus
      parameters:
        - name: x-tenant-id
          in: header
          required: true
          schema:
            type: string
          example: public
        - name: x-profile-id
          in: header
          required: true
          schema:
            type: string
          example: pro_WX0giXQnzk2wQJjkKVBX
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
          example: dev_VLzQTxkPq3ALj2mlfiHL4mMtXca4uplOIOLaKEzmWAmNBXZjwsuv5bCLjnf0QYHm
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EliminationRequest'
            example:
              id: merchant1
              params: card
              labels:
                - stripe
                - adyen
              config:
                bucket_size: 5
                bucket_leak_interval_in_secs: 10
      responses:
        '200':
          description: Returns a eliminated processor list
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EliminationResponse'
        '400':
          description: Invalid request parameters
        '500':
          description: Internal server error
components:
  schemas:
    EliminationRequest:
      type: object
      properties:
        id:
          type: string
          example: merchant1
          description: Entity identifier
        params:
          type: string
          example: card
          description: Additional parameters for elimination analysis
        labels:
          type: array
          example:
            - stripe
            - adyen
          items:
            type: string
          description: Labels (processors) to check for elimination
        config:
          $ref: '#/components/schemas/EliminationBucketConfig'
      required:
        - id
        - labels
        - config
    EliminationResponse:
      type: object
      properties:
        labels_with_status:
          type: array
          items:
            $ref: '#/components/schemas/EliminationLabelWithStatus'
          description: Elimination status for each label
      example:
        labelsWithStatus:
          - label: stripe
            eliminationInformation:
              entity:
                isEliminated: true
                bucketName:
                  - processor_decline
              global:
                isEliminated: true
                bucketName:
                  - processor_decline
    EliminationBucketConfig:
      type: object
      properties:
        bucket_size:
          type: integer
          format: uint64
          example: 5
          description: Maximum failures allowed before elimination
        bucket_leak_interval_in_secs:
          type: number
          format: uint64
          example: 300
          description: Time interval after which failures are "forgotten"
      required:
        - bucket_size
        - bucket_leak_interval_in_secs
    EliminationLabelWithStatus:
      type: object
      properties:
        label:
          type: string
          example: stripe
        elimination_information:
          items:
            $ref: '#/components/schemas/EliminationInformation'
    EliminationInformation:
      type: object
      properties:
        entity:
          $ref: '#/components/schemas/BucketInformation'
        global:
          $ref: '#/components/schemas/BucketInformation'
    BucketInformation:
      type: object
      properties:
        is_eliminated:
          type: boolean
          example: true
          description: Whether the processor should be eliminated
        bucket_name:
          type: array
          items:
            type: string
          description: Bucket identifiers that triggered elimination

````